/**
 * @file actor.h
 * Header file for Actor class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _ACTOR_H
#define _ACTOR_H

#include "main.h"

/**
 * Abstract base class for anything "tickable".
 *
 * All Objects and Fields should derive from this class. Each Actor will be
 * 'ticked' once every pass through the main game loop.
 */
class Actor {
public:

    /**
     * Advance the actor's state by some amount of elapsed time.
     *
     * @param t amount of time (in seconds) to advance the state
     *          of the actor.
     */
    virtual void tick( double t ) = 0;
};

#endif // header guard
