/**
 * @file connectable.cpp
 * Implementation of Connectable class.
 *
 * Copyright 2003-2004 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */

#include "connectable.h"
#include "level.h"
#include "utils.h"

int Connectable::load( dWorldID world_id, dSpaceID space_id, const CL_DomElement& element, bool load_parent )
{
    int id = get_int( element, "connectionID" );
 
    if ( ( _connection = Level::get_current()->get_object( id ) ) == NULL ) {
        cerr << "Connectable::load: _connection == NULL!" << endl;
        return -1;
    }

    return 0;
}
