/**
 * @file feareffect.h
 * Header for FearEffect class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _FEAREFFECT_H
#define _FEAREFFECT_H

#include "behavioreffect.h"

/**
 * Sent from a scary animal to a weaker one.
 */
class FearEffect : public BehaviorEffect {
public:
    FearEffect() { }
    FearEffect(Actor *sender, int scary) : BehaviorEffect( sender, scary ) { }

    /**
     * @return how scary the monster is.
     */
    int get_scariness()
        { return get_magnitude(); }

    virtual RecList& get_receiver_list()
        { return _receiver_list; }
private:
    static RecList _receiver_list;
};

#define TO_FEAR_EFFECT(pobj)    TO_EFFECT(pobj, FearEffect)
#define IS_FEAR_EFFECT(pobj)    TO_FEAR_EFFECT(pobj)

#endif // header guard
