/**
 * @file hungereffect.h
 * Header for HungerEffect class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _HUNGEREFFECT_H
#define _HUNGEREFFECT_H

#include "behavioreffect.h"

/**
 * Sent from food to animals interested in that food.
 */
class HungerEffect : public BehaviorEffect {
public:
    HungerEffect() { }
    HungerEffect(Actor *sender, int tasty) : BehaviorEffect( sender, tasty ) { }

    /**
     * @return how tasty the food is.
     */
    int get_tastiness()
        { return get_magnitude(); }

    virtual RecList& get_receiver_list()
        { return _receiver_list; }
private:
    static RecList _receiver_list;
};

#define TO_HUNGER_EFFECT(pobj)    TO_EFFECT(pobj, HungerEffect)
#define IS_HUNGER_EFFECT(pobj)    TO_HUNGER_EFFECT(pobj)

#endif // header guard
