/**
 * @file meateffect.h
 * Header for MeatEffect class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _MEATEFFECT_H
#define _MEATEFFECT_H

#include "hungereffect.h"

/**
 * A specific type of hunger effect, only sent to carnivores.
 */
class MeatEffect : public HungerEffect {
public:
    MeatEffect() { }
    MeatEffect(Actor *sender, int tasty) : HungerEffect( sender, tasty ) { }

    virtual RecList& get_receiver_list()
        { return _receiver_list; }
private:
    static RecList _receiver_list;
};

#define TO_MEAT_EFFECT(pobj)    TO_EFFECT(pobj, MeatEffect)
#define IS_MEAT_EFFECT(pobj)    TO_MEAT_EFFECT(pobj)

#endif // header guard
