/**
 * @file veggieeffect.h
 * Header for VeggieEffect class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _VEGGIEEFFECT_H
#define _VEGGIEEFFECT_H

#include "hungereffect.h"

/**
 * A specific type of hunger effect, only sent to vegetarians.
 */
class VeggieEffect : public HungerEffect {
public:
    VeggieEffect() { }
    VeggieEffect(Actor *sender, int tasty) : HungerEffect( sender, tasty ) { }

    virtual RecList& get_receiver_list()
        { return _receiver_list; }
private:
    static RecList _receiver_list;
};

#define TO_VEGGIE_EFFECT(pobj)    TO_EFFECT(pobj, VeggieEffect)
#define IS_VEGGIE_EFFECT(pobj)    TO_VEGGIE_EFFECT(pobj)

#endif // header guard
