/**
 * @file shape.h
 * Shapes.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _SHAPE_H
#define _SHAPE_H

#include "main.h"

#include <string>
using namespace std;

/**
 * Different primitive shapes supported by ode
 */
enum Shape {
    SHAPE_BOX,          ///< cube
    SHAPE_SPHERE,       ///< cylinder
    SHAPE_CYLINDER      ///< capped cylinder
};

/**
 * Return the string corresponding to a Shape.
 *
 * @param s the Shape whose string to retrieve
 *
 *@ return the corresponding string
 */
inline string to_string( Shape s )
{
    switch ( s ) {
    case SHAPE_BOX: return "box";
    case SHAPE_SPHERE: return "sphere";
    case SHAPE_CYLINDER: return "cylinder";
    }
    return "";
}

#endif // header guard
